package io.renren.modules.admin.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

import org.springframework.scheduling.annotation.Async;

import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.AttendersEntity;
import io.renren.modules.admin.entity.AttendersviewEntity;

/**
 * VIEW
 *
 * @author huwhois
 * @email huwhois@163.com
 * @date 2020-12-11 09:44:26
 */
public interface AttendersService extends IService<AttendersEntity> {

    PageUtils queryPage(Map<String, Object> params);

	AttendersEntity getByMMId(Long id, Long meetingId);

	int removeReport(Long id);
    
	boolean saveAttendes(AttendersviewEntity attendersform);

	@Async
	public void doImport(List<AttendersviewEntity> successList, List<AttendersviewEntity> failList, Long userId);
}

